package schema

import (
	"entgo.io/ent"
	"entgo.io/ent/schema/field"
)

// Blacklist holds the schema definition for the Blacklist entity.
type Blacklist struct {
	ent.Schema
}

// Fields of the Blacklist.
func (Blacklist) Fields() []ent.Field {
	return []ent.Field{
		field.Int("id").Unique(),
		field.String("serverid"),
		field.String("word"),
	}
}

// Edges of the Blacklist.
func (Blacklist) Edges() []ent.Edge {
	return nil
}
