package schema

import (
	"entgo.io/ent"
	"entgo.io/ent/schema/field"
)

// Punishments holds the schema definition for the Punishments entity.
type Punishments struct {
	ent.Schema
}

// Fields of the Punishments.
func (Punishments) Fields() []ent.Field {
	return []ent.Field{
		field.Int("id").Unique(),
		field.String("serverid"),
		field.String("warnamount"),
		field.String("actiontype"),
		field.String("duration"),
		field.String("reason"),
	}
}

// Edges of the Punishments.
func (Punishments) Edges() []ent.Edge {
	return nil
}
