package schema

import (
	"entgo.io/ent"
	"entgo.io/ent/schema/field"
)

// Socialmedia holds the schema definition for the Socialmedia entity.
type Socialmedia struct {
	ent.Schema
}

// Fields of the Socialmedia.
func (Socialmedia) Fields() []ent.Field {
	return []ent.Field{
		field.Int("id").Unique(),
		field.String("serverid"),
		field.String("type"),
		field.String("identificator"),
	}
}

// Edges of the Socialmedia.
func (Socialmedia) Edges() []ent.Edge {
	return nil
}
