package schema

import (
	"entgo.io/ent"
	"entgo.io/ent/schema/field"
)

// Authorizables holds the schema definition for the Authorizables entity.
type Authorizables struct {
	ent.Schema
}

// Fields of the Authorizables.
func (Authorizables) Fields() []ent.Field {
	return []ent.Field{
		field.String("username"),
		field.String("password"),
		field.String("serverid"),
		field.String("userid"),
	}
}

// Edges of the Authorizables.
func (Authorizables) Edges() []ent.Edge {
	return nil
}
