package schema

import (
	"entgo.io/ent"
	"entgo.io/ent/schema/field"
)

// Logging holds the schema definition for the Logging entity.
type Logging struct {
	ent.Schema
}

// Fields of the Logging.
func (Logging) Fields() []ent.Field {
	return []ent.Field{
		field.Int("id").Unique(),
		field.String("serverid"),
		field.String("type"),
		field.String("commiter"),
		field.String("description"),
	}
}

// Edges of the Logging.
func (Logging) Edges() []ent.Edge {
	return nil
}
